# Facts in namespace

This endpoint retrieves a list of known facts for a given namespace. List of supported namespaces is available below.

<table data-full-width="false"><thead><tr><th width="165.33333333333331">Namespace ID</th><th>Description</th></tr></thead><tbody><tr><td><code>AMM</code></td><td>AMM facts</td></tr><tr><td><code>ObjectCount</code></td><td>XRP ledger object counts </td></tr><tr><td><code>XRP</code></td><td>XRP distribution facts</td></tr></tbody></table>

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/fact/{NAMESPACE_ID}
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/fact/ObjectCount
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
{
  "AccountRoot": "4720986",
  "DirectoryNode": "2473626",
  "Offer": "136748",
  "NFTokenPage": "84894",
  "RippleState": "6391527",
  "NFTokenOffer": "161814",
  "SignerList": "72683",
  "Ticket": "32063",
  "LedgerHashes": "1245",
  "Escrow": "10015",
  "PayChannel": "2407",
  "Check": "16",
  "DepositPreauth": "51",
  "NegativeUNL": "1",
  "FeeSettings": "1",
  "Amendments": "1"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpscan.com/api-documentation/fact/facts-in-namespace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
